[Logo] JForum - Powering Communities
  [Search] Search   [Recent Topics] Recent Topics   [Hottest Topics] Hottest Topics   [Top Downloads] Top Downloads   [Members] Member Listing   [Groups] Back to home page 
[Moderation Log] Moderation Log   [Register] Register /  [Login] Login 


JForum 2.5.0 released, download it from here.
Guava 11  RSS feed
Forum Index » User Forum
Author Message
Spencer


Joined: 2013/9/12
Messages: 18
Offline
Do you know what uses guava-11.0.2.jar in WEB-INF\lib ?

I use a newer version in my application that runs on Amazon AWS.

I recently had a problem updating to a newer version OS. After going beyond v2.2.0 my application could not find some functions that were in the newer version of guava but not in 11. For some reason, Amazon v2.3.0, v2.3.1, and v2.4.0 were finding and using guava 11 but v2.2.0 and earlier found and used my newer version of guava.

After replacing the jforum guava with the newer version I have been able to go to the newer Amazon OS.

I am just letting anyone know in case they have similar problems.

Also, if I know what in jforum uses guava, I can test it to make sure it is working with the newer version.
andowson


Joined: 2011/6/30
Messages: 198
Offline
You can check this maven dependency of tika-parsers 1.9
https://mvnrepository.com/artifact/org.apache.tika/tika-parsers/1.9
udittmer


Joined: 2013/2/21
Messages: 217
If you switch to Tika 1.14 (which is what the latest source code uses, and which you should be able to do without code changes), then Guava is apparently no longer a dependency: https://mvnrepository.com/artifact/org.apache.tika/tika-parsers/1.14

Ping & Net - my free Android app for TCP/IP network diagnostics
[WWW]
 
Forum Index » User Forum
Go to:   
Mobile view
Powered by JForum 2.5.0 © 2018 JForum Team • Maintained by Andowson Chang and Ulf Dittmer